Package org.eclipse.core.resources.team

# Class FileModificationValidationContext

java.lang.Object
org.eclipse.core.resources.team.FileModificationValidationContext

public class FileModificationValidationContext extends Object
A context that is used in conjunction with the `FileModificationValidator` to indicate that UI-based validation is desired.

This class is not intended to be instantiated or subclassed by clients.

Since:
  3.3
See Also:
  - `FileModificationValidator`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FileModificationValidationContext`
`VALIDATE_PROMPT`
Constant that can be passed to `IWorkspace.validateEdit(org.eclipse.core.resources.IFile[], Object)` to indicate that the caller does not have access to a UI context but would still like to have UI-based validation if possible.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getShell()`
Return the `org.eclipse.swt.widgets.Shell` that is to be used to parent any dialogs with the user, or `null` if there is no UI context available (declared as an `Object` to avoid any direct references on the SWT component).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALIDATE_PROMPT

public static final FileModificationValidationContext VALIDATE_PROMPT
Constant that can be passed to `IWorkspace.validateEdit(org.eclipse.core.resources.IFile[], Object)` to indicate that the caller does not have access to a UI context but would still like to have UI-based validation if possible.

## Method Details

### getShell

public Object getShell()
Return the `org.eclipse.swt.widgets.Shell` that is to be used to parent any dialogs with the user, or `null` if there is no UI context available (declared as an `Object` to avoid any direct references on the SWT component). If there is no shell, the `FileModificationValidator` may still perform UI-based validation if they can obtain a Shell from another source.

Returns:
  the `org.eclipse.swt.widgets.Shell` that is to be used to parent any dialogs with the user, or `null`